# Add RPO Schema

Adds a schema to a receiver address.

Endpoint: POST /v4/orchestration/config/schema
Version: 4.0.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    apiKey in header Authorization

## Request fields (application/json):

  - `sender_address` (string)
    RippleNet sender address.
    Example: test.ros.com

  - `receiver_address` (string, required)
    RippleNet receiver address.
    Example: test.ros.com

  - `schema_name` (string, required)
    customer schema name.
    Example: schema1

  - `schema` (object, required)
    RPO schema.

  - `schema_description` (string)
    RPO schema description.

  - `receiver_currency` (string, required)
    Receiver currency code for schema.

  - `payment_method` (string)
    Payment method for schema.

## Response 200:

  - `200` (unknown)
    Successfully created RPO schema.

## Response 200 fields (application/json):

  - `schema_id` (string, required)
    Unique Identifier of an RPO schema.
    Example: 5492648d-2132-4e70-9ded-2fc86f22b321

  - `sender_address` (string, required)
    RippleNet sender address.
    Example: test.ros.com

  - `receiver_address` (string, required)
    RippleNet receiver address.
    Example: test.ros.com

  - `schema_name` (string, required)
    customer schema name.
    Example: schema1

  - `schema_description` (string, required)
    RPO schema description.

  - `receiver_currency` (string, required)
    receiver currency code for schema.

  - `payment_method` (string, required)
    payment method for schema.

  - `created_at` (string, required)
    Date and time at which the RPO was created, as an ISO-8601 timestamp in UTC.
    Example: 2018-04-06T20:33:35Z

  - `schema` (object, required)
    RPO schema.

